﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Maps.MapControl;

namespace ChessOnMap
{
    public partial class MainPage : UserControl
    {
        private UserControl chessGame;

        public MainPage()
        {
            InitializeComponent();
            chessGame = MyMap.FindName("ChessGame") as UserControl;
            MyMap.TargetViewChanged += new EventHandler<MapEventArgs>(MyMap_TargetViewChanged);
        }

        void MyMap_TargetViewChanged(object sender, MapEventArgs e)
        {
            if (MyMap.TargetZoomLevel >= 14)
            {
                chessGame.Visibility = Visibility.Visible;
            }
            else
            {
                chessGame.Visibility = Visibility.Collapsed;
            }
        }
    }
}
