﻿using System;
using System.Windows.Controls;
using Microsoft.Maps.MapControl;

namespace MultipleMaps
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            MyMap1.ViewChangeEnd += new EventHandler<MapEventArgs>(MyMap1_ViewChangeEnd);
            MyMap2.ViewChangeEnd += new EventHandler<MapEventArgs>(MyMap2_ViewChangeEnd);
            MyMap1.ViewChangeOnFrame += new EventHandler<MapEventArgs>(MyMap1_ViewChangeOnFrame);
        }

        void MyMap1_ViewChangeEnd(object sender, MapEventArgs e)
        {
            MyMap2.SetView(MyMap1.Center, MyMap1.ZoomLevel);
        }

        void MyMap2_ViewChangeEnd(object sender, MapEventArgs e)
        {
            MyMap3.SetView(MyMap2.Center, MyMap2.ZoomLevel);
        }

        void MyMap1_ViewChangeOnFrame(object sender, MapEventArgs e)
        {
            LatitudeText.Text = MyMap1.Center.Latitude.ToString();
            LongitudeText.Text = MyMap1.Center.Longitude.ToString();
            ZoomText.Text = MyMap1.ZoomLevel.ToString();
        }

    }
}
