﻿using System.Windows;
using System.Windows.Controls;
using Microsoft.Maps.MapControl;

namespace MapLayers
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void ToggleLayer1(object sender, RoutedEventArgs e)
        {
            ToggleLayerVisibility(MyLayer1);
        }

        private void ToggleLayer2(object sender, RoutedEventArgs e)
        {
            ToggleLayerVisibility(MyLayer2);
        }

        private void ToggleLayer3(object sender, RoutedEventArgs e)
        {
            ToggleLayerVisibility(MyLayer3);
        }

        private void ToggleLayerVisibility(MapLayer layer)
        {
            layer.Visibility = (layer.Visibility == Visibility.Collapsed) ? Visibility.Visible : Visibility.Collapsed;
        }
    }
}
